[-]
[+]
|
Changed |
nprobe.changes
|
|
[-]
[+]
|
Changed |
nprobe.spec
^
|
|
[-]
[+]
|
Deleted |
nprobe.init
^
|
@@ -1,215 +0,0 @@
-#!/bin/sh
-#
-# Template SUSE system startup script for example service/daemon NPROBE
-# Copyright (C) 1995--2005 Kurt Garloff, SUSE / Novell Inc.
-#
-# This library is free software; you can redistribute it and/or modify it
-# under the terms of the GNU Lesser General Public License as published by
-# the Free Software Foundation; either version 2.1 of the License, or (at
-# your option) any later version.
-#
-# This library is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with this library; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
-# USA.
-#
-# /etc/init.d/nprobe
-# and its symbolic link
-# /(usr/)sbin/rcnprobe
-#
-# Template system startup script for some example service/daemon NPROBE
-#
-# LSB compatible service control script; see http://www.linuxbase.org/spec/
-#
-# Note: This template uses functions rc_XXX defined in /etc/rc.status on
-# UnitedLinux/SUSE/Novell based Linux distributions. If you want to base your
-# script on this template and ensure that it works on non UL based LSB
-# compliant Linux distributions, you either have to provide the rc.status
-# functions from UL or change the script to work without them.
-# See skeleton.compat for a template that works with other distros as well.
-#
-### BEGIN INIT INFO
-# Provides: NPROBE
-# Required-Start: $syslog $remote_fs $network
-# Should-Start: $time
-# Required-Stop: $syslog $remote_fs $network
-# Should-Stop: $null
-# Default-Start: 3 5
-# Default-Stop: 0 1 2 6
-# Short-Description: NPROBE daemon
-# Description: Start NPROBE
-### END INIT INFO
-#
-
-# Check for missing binaries (stale symlinks should not happen)
-# Note: Special treatment of stop for LSB conformance
-NPROBE_BIN=/usr/bin/nprobe
-test -x $NPROBE_BIN || { echo "$NPROBE_BIN not installed";
- if [ "$1" = "stop" ]; then exit 0;
- else exit 5; fi; }
-
-# Check for existence of needed config file and read it
-NPROBE_CONFIG=/etc/sysconfig/nprobe
-test -r $NPROBE_CONFIG || { echo "$NPROBE_CONFIG not existing";
- if [ "$1" = "stop" ]; then exit 0;
- else exit 6; fi; }
-
-# Read config
-. $NPROBE_CONFIG
-
-# Source LSB init functions
-# providing start_daemon, killproc, pidofproc,
-# log_success_msg, log_failure_msg and log_warning_msg.
-# This is currently not used by UnitedLinux based distributions and
-# not needed for init scripts for UnitedLinux only. If it is used,
-# the functions from rc.status should not be sourced or used.
-#. /lib/lsb/init-functions
-
-# Shell functions sourced from /etc/rc.status:
-# rc_check check and set local and overall rc status
-# rc_status check and set local and overall rc status
-# rc_status -v be verbose in local rc status and clear it afterwards
-# rc_status -v -r ditto and clear both the local and overall rc status
-# rc_status -s display "skipped" and exit with status 3
-# rc_status -u display "unused" and exit with status 3
-# rc_failed set local and overall rc status to failed
-# rc_failed <num> set local and overall rc status to <num>
-# rc_reset clear both the local and overall rc status
-# rc_exit exit appropriate to overall rc status
-# rc_active checks whether a service is activated by symlinks
-. /etc/rc.status
-
-# Reset status of this service
-rc_reset
-
-# Return values acc. to LSB for all commands but status:
-# 0 - success
-# 1 - generic or unspecified error
-# 2 - invalid or excess argument(s)
-# 3 - unimplemented feature (e.g. "reload")
-# 4 - user had insufficient privileges
-# 5 - program is not installed
-# 6 - program is not configured
-# 7 - program is not running
-# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
-#
-# Note that starting an already running service, stopping
-# or restarting a not-running service as well as the restart
-# with force-reload (in case signaling is not supported) are
-# considered a success.
-mkdir -p /var/run/nprobe/
-
-case "$1" in
- start)
- echo "Starting nprobe ..."
- ## Start daemon with startproc(8). If this fails
- ## the return value is set appropriately by startproc.
- for ADDR in ${NPROBE_COLLECTORS} ; do
- COLLECTOR_OPTS="${COLLECTOR_OPTS} -n ${ADDR}"
- done
- if [ "${NPROBE_ALL_COLLECTORS}" == "yes" ] ; then
- COLLECTOR_OPTS="${COLLECTOR_OPTS} -a"
- fi
- if [ -n "${NPROBE_NETFLOW_VERSION}" ] ; then
- case ${NPROBE_NETFLOW_VERSION} in
- 5)
- NF_VERSION="-V 5"
- ;;
- 9)
- NF_VERSION="-V 9"
- ;;
- 10)
- NF_VERSION="-V 10"
- ;;
- *)
- echo "unknown NPROBE_NETFLOW_VERSION = ${NPROBE_NETFLOW_VERSION}"
- echo "valid values are: 5, 9, 10 or empty"
- exit 1
- ;;
- esac
- fi
- for IFACE in ${NPROBE_IFACE} ; do
- echo -n "instance on interface ${IFACE} "
- if [ "${NPROBE_USE_ZMQ}" == "no" ] ; then
- /sbin/startproc -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN -g /var/run/nprobe/nprobe-${IFACE}.pid -i ${IFACE} ${NF_VERSION} ${COLLECTOR_OPTS} ${NPROBE_OPTS}
- rc_status -v
- elif [ "${NPROBE_USE_ZMQ}" == "yes" ] ; then
- /sbin/startproc -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN -g /var/run/nprobe/nprobe-${IFACE}.pid -i ${IFACE} ${NF_VERSION} ${COLLECTOR_OPTS} ${NPROBE_OPTS} --zmq tcp://${NPROBE_ZMQ_BINDADDRESS}:${NPROBE_ZMQ_PORTBASE}
- NPROBE_ZMQ_PORTBASE=`expr ${NPROBE_ZMQ_PORTBASE} + 1`
- fi
- done
- ;;
- stop)
- echo "Shutting down nprobe ..."
- ## Stop daemon with killproc(8) and if this fails
- ## killproc sets the return value according to LSB.
-
- /sbin/killproc -TERM $NPROBE_BIN
-
- # Remember status and be verbose
- rc_status -v
- ;;
- try-restart|condrestart)
- ## Do a restart only if the service was active before.
- ## Note: try-restart is now part of LSB (as of 1.9).
- ## RH has a similar command named condrestart.
- if test "$1" = "condrestart"; then
- echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
- fi
- $0 status
- if test $? = 0; then
- $0 restart
- else
- rc_reset # Not running is not a failure.
- fi
- # Remember status and be quiet
- rc_status
- ;;
- restart|force-reload|reload)
- ## Stop the service and regardless of whether it was
- ## running or not, start it again.
- $0 stop
- $0 start
-
- # Remember status and be quiet
- rc_status
- ;;
- status)
- echo "Checking for service nprobe ..."
- ## Check status with checkproc(8), if process is running
- ## checkproc will return with exit status 0.
-
- # Return value is slightly different for the status command:
- # 0 - service up and running
- # 1 - service dead, but /var/run/ pid file exists
- # 2 - service dead, but /var/lock/ lock file exists
- # 3 - service not running (unused)
- # 4 - service status unknown :-(
- # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
-
- # NOTE: checkproc returns LSB compliant status values.
- for IFACE in ${NPROBE_IFACE} ; do
- echo -n "instance on interface ${IFACE} "
- /sbin/checkproc -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN
- rc_status -v
|
[-]
[+]
|
Added |
nprobe.init.rh
^
|
@@ -0,0 +1,126 @@
+#!/bin/sh
+#
+# chkconfig: - 50 50
+# description: nprobe
+#
+### BEGIN INIT INFO
+# Provides: NPROBE
+# Required-Start: $syslog $remote_fs $network
+# Should-Start: $time
+# Required-Stop: $syslog $remote_fs $network
+# Should-Stop: $null
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: NPROBE daemon
+# Description: Start NPROBE
+### END INIT INFO
+#
+
+NPROBE_BIN=/usr/bin/nprobe
+test -x $NPROBE_BIN || { echo "$NPROBE_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+# Check for existence of needed config file and read it
+NPROBE_CONFIG=/etc/sysconfig/nprobe
+test -r $NPROBE_CONFIG || { echo "$NPROBE_CONFIG not existing";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 6; fi; }
+
+# Read config
+. $NPROBE_CONFIG
+
+# Source function library.
+. /etc/init.d/functions
+
+
+mkdir -p /var/run/nprobe/
+
+RETVAL=0
+lockfile=${LOCKFILE-/var/lock/subsys/nprobe}
+
+case "$1" in
+ start)
+ echo "Starting nprobe ..."
+
+ for ADDR in ${NPROBE_COLLECTORS} ; do
+ COLLECTOR_OPTS="${COLLECTOR_OPTS} -n ${ADDR}"
+ done
+ if [ "${NPROBE_ALL_COLLECTORS}" == "yes" ] ; then
+ COLLECTOR_OPTS="${COLLECTOR_OPTS} -a"
+ fi
+ if [ -n "${NPROBE_NETFLOW_VERSION}" ] ; then
+ case ${NPROBE_NETFLOW_VERSION} in
+ 5)
+ NF_VERSION="-V 5"
+ ;;
+ 9)
+ NF_VERSION="-V 9"
+ ;;
+ 10)
+ NF_VERSION="-V 10"
+ ;;
+ *)
+ echo "unknown NPROBE_NETFLOW_VERSION = ${NPROBE_NETFLOW_VERSION}"
+ echo "valid values are: 5, 9, 10 or empty"
+ RETVAL=2
+ ;;
+ esac
+ fi
+ for IFACE in ${NPROBE_IFACE} ; do
+ echo -n "instance on interface ${IFACE} "
+ if [ "${NPROBE_USE_ZMQ}" == "no" ] ; then
+ daemon --pidfile /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN -g /var/run/nprobe/nprobe-${IFACE}.pid -i ${IFACE} ${NF_VERSION} ${COLLECTOR_OPTS} ${NPROBE_OPTS}
+ RETVAL=$?
+ elif [ "${NPROBE_USE_ZMQ}" == "yes" ] ; then
+ daemon --pidfile /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN -g /var/run/nprobe/nprobe-${IFACE}.pid -i ${IFACE} ${NF_VERSION} ${COLLECTOR_OPTS} ${NPROBE_OPTS} --zmq tcp://${NPROBE_ZMQ_BINDADDRESS}:${NPROBE_ZMQ_PORTBASE}
+ RETVAL=$?
+ NPROBE_ZMQ_PORTBASE=`expr ${NPROBE_ZMQ_PORTBASE} + 1`
+ fi
+ echo
+ [ $RETVAL -eq 0 ] && touch ${lockfile}-${IFACE}
+ done
+ ;;
+ stop)
+ echo "Shutting down nprobe ..."
+
+ for IFACE in ${NPROBE_IFACE} ; do
+ echo -n " instance on interface ${IFACE} "
+ killproc -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN
+ RETVAL=$?
+ echo
+ if [ $RETVAL -eq 0 ] ; then
+ rm -f ${lockfile}-${IFACE} ${pidfile}
+ fi
+ done
+ ;;
+ try-restart|condrestart)
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ RETVAL=0 # Not running is not a failure.
+ fi
+ ;;
+ restart|force-reload|reload)
+ $0 stop
+ $0 start
+ ;;
+ status)
+ echo "Checking for service nprobe ..."
+
+ for IFACE in ${NPROBE_IFACE} ; do
+ echo -n "instance on interface ${IFACE} "
+ status -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN
+ RETVAL=$?
+ done
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ RETVAL=2
+ ;;
+esac
+exit $RETVAL
|
[-]
[+]
|
Added |
nprobe.init.suse
^
|
@@ -0,0 +1,218 @@
+#!/bin/sh
+#
+# Template SUSE system startup script for example service/daemon NPROBE
+# Copyright (C) 1995--2005 Kurt Garloff, SUSE / Novell Inc.
+#
+# This library is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2.1 of the License, or (at
+# your option) any later version.
+#
+# This library is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
+# USA.
+#
+# /etc/init.d/nprobe
+# and its symbolic link
+# /(usr/)sbin/rcnprobe
+#
+# Template system startup script for some example service/daemon NPROBE
+#
+# LSB compatible service control script; see http://www.linuxbase.org/spec/
+#
+# Note: This template uses functions rc_XXX defined in /etc/rc.status on
+# UnitedLinux/SUSE/Novell based Linux distributions. If you want to base your
+# script on this template and ensure that it works on non UL based LSB
+# compliant Linux distributions, you either have to provide the rc.status
+# functions from UL or change the script to work without them.
+# See skeleton.compat for a template that works with other distros as well.
+#
+### BEGIN INIT INFO
+# Provides: NPROBE
+# Required-Start: $syslog $remote_fs $network
+# Should-Start: $time
+# Required-Stop: $syslog $remote_fs $network
+# Should-Stop: $null
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: NPROBE daemon
+# Description: Start NPROBE
+### END INIT INFO
+#
+
+# Check for missing binaries (stale symlinks should not happen)
+# Note: Special treatment of stop for LSB conformance
+NPROBE_BIN=/usr/bin/nprobe
+test -x $NPROBE_BIN || { echo "$NPROBE_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 5; fi; }
+
+# Check for existence of needed config file and read it
+NPROBE_CONFIG=/etc/sysconfig/nprobe
+test -r $NPROBE_CONFIG || { echo "$NPROBE_CONFIG not existing";
+ if [ "$1" = "stop" ]; then exit 0;
+ else exit 6; fi; }
+
+# Read config
+. $NPROBE_CONFIG
+
+# Source LSB init functions
+# providing start_daemon, killproc, pidofproc,
+# log_success_msg, log_failure_msg and log_warning_msg.
+# This is currently not used by UnitedLinux based distributions and
+# not needed for init scripts for UnitedLinux only. If it is used,
+# the functions from rc.status should not be sourced or used.
+#. /lib/lsb/init-functions
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v be verbose in local rc status and clear it afterwards
+# rc_status -v -r ditto and clear both the local and overall rc status
+# rc_status -s display "skipped" and exit with status 3
+# rc_status -u display "unused" and exit with status 3
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num>
+# rc_reset clear both the local and overall rc status
+# rc_exit exit appropriate to overall rc status
+# rc_active checks whether a service is activated by symlinks
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - user had insufficient privileges
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+#
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+mkdir -p /var/run/nprobe/
+
+case "$1" in
+ start)
+ echo "Starting nprobe ..."
+ ## Start daemon with startproc(8). If this fails
+ ## the return value is set appropriately by startproc.
+ for ADDR in ${NPROBE_COLLECTORS} ; do
+ COLLECTOR_OPTS="${COLLECTOR_OPTS} -n ${ADDR}"
+ done
+ if [ "${NPROBE_ALL_COLLECTORS}" == "yes" ] ; then
+ COLLECTOR_OPTS="${COLLECTOR_OPTS} -a"
+ fi
+ if [ -n "${NPROBE_NETFLOW_VERSION}" ] ; then
+ case ${NPROBE_NETFLOW_VERSION} in
+ 5)
+ NF_VERSION="-V 5"
+ ;;
+ 9)
+ NF_VERSION="-V 9"
+ ;;
+ 10)
+ NF_VERSION="-V 10"
+ ;;
+ *)
+ echo "unknown NPROBE_NETFLOW_VERSION = ${NPROBE_NETFLOW_VERSION}"
+ echo "valid values are: 5, 9, 10 or empty"
+ exit 1
+ ;;
+ esac
+ fi
+ for IFACE in ${NPROBE_IFACE} ; do
+ echo -n "instance on interface ${IFACE} "
+ if [ "${NPROBE_USE_ZMQ}" == "no" ] ; then
+ /sbin/startproc -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN -g /var/run/nprobe/nprobe-${IFACE}.pid -i ${IFACE} ${NF_VERSION} ${COLLECTOR_OPTS} ${NPROBE_OPTS}
+ rc_status -v
+ elif [ "${NPROBE_USE_ZMQ}" == "yes" ] ; then
+ /sbin/startproc -p /var/run/nprobe/nprobe-${IFACE}.pid $NPROBE_BIN -g /var/run/nprobe/nprobe-${IFACE}.pid -i ${IFACE} ${NF_VERSION} ${COLLECTOR_OPTS} ${NPROBE_OPTS} --zmq tcp://${NPROBE_ZMQ_BINDADDRESS}:${NPROBE_ZMQ_PORTBASE}
+ NPROBE_ZMQ_PORTBASE=`expr ${NPROBE_ZMQ_PORTBASE} + 1`
+ fi
+ done
+ ;;
+ stop)
+ echo "Shutting down nprobe ..."
+ ## Stop daemon with killproc(8) and if this fails
+ ## killproc sets the return value according to LSB.
+
+ /sbin/killproc -TERM $NPROBE_BIN
+ for IFACE in ${NPROBE_IFACE} ; do
+ echo -n " instance on interface ${IFACE} "
+ /sbin/killproc -p /var/run/nprobe/nprobe-${IFACE}.pid -TERM $NPROBE_BIN
+ rc_status -v
+ done
+
+ ;;
+ try-restart|condrestart)
+ ## Do a restart only if the service was active before.
+ ## Note: try-restart is now part of LSB (as of 1.9).
+ ## RH has a similar command named condrestart.
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset # Not running is not a failure.
+ fi
+ # Remember status and be quiet
+ rc_status
+ ;;
+ restart|force-reload|reload)
+ ## Stop the service and regardless of whether it was
+ ## running or not, start it again.
+ $0 stop
+ $0 start
+
+ # Remember status and be quiet
+ rc_status
+ ;;
+ status)
+ echo "Checking for service nprobe ..."
+ ## Check status with checkproc(8), if process is running
+ ## checkproc will return with exit status 0.
+
+ # Return value is slightly different for the status command:
+ # 0 - service up and running
+ # 1 - service dead, but /var/run/ pid file exists
+ # 2 - service dead, but /var/lock/ lock file exists
+ # 3 - service not running (unused)
+ # 4 - service status unknown :-(
+ # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
+
+ # NOTE: checkproc returns LSB compliant status values.
+ for IFACE in ${NPROBE_IFACE} ; do
|